:root {
    --deep-purple-transparent:  #52b5;
    --deep-purple-bright:       #b8f;
    --deep-purple:              #74c;
    --deep-purple-dark:         #52a;
    --deep-purple-darker:       #408;
    --deep-purple-darkest:      #213;

    --text-red-bright:          #f8a;
    --text-red:                 #d68;
    --text-yellow-bright:       #db8;
    --text-yellow:              #b96;
    --text-green-bright:        #ac9;
    --text-green:               #8a7;
    --text-cyan-bright:         #8cc;
    --text-cyan:                #6aa;
    --text-blue-bright:         #8ae;
    --text-blue:                #68c;
    --text-magenta-bright:      #c9e;
    --text-magenta:             #a7c;

    --text-white-bright:        #eee;
    --text-white:               #ccc;
    --text-bright:              #aaa;
    --text:                     #888;
    --text-grey-bright:         #666;
    --text-grey:                #444;
    --text-grey-dark:           #333;
    --text-background-bright:   #222;
    --text-background:          #181818;
    --text-background-dark:     #111;
}

.text-red-bright        { color: var(--text-red-bright) !important; }
.text-red               { color: var(--text-red) !important; }
.text-yellow-bright     { color: var(--text-yellow-bright) !important; }
.text-yellow            { color: var(--text-yellow) !important; }
.text-green-bright      { color: var(--text-green-bright) !important; }
.text-green             { color: var(--text-green) !important; }
.text-cyan-bright       { color: var(--text-cyan-bright) !important; }
.text-cyan              { color: var(--text-cyan) !important; }
.text-blue-bright       { color: var(--text-blue-bright) !important; }
.text-blue              { color: var(--text-blue) !important; }
.text-magenta-bright    { color: var(--text-magenta-bright) !important; }
.text-magenta           { color: var(--text-magenta) !important; }

.text-white-bright      { color: var(--text-white-bright) !important; }
.text-white             { color: var(--text-white) !important; }
.text-color-bright      { color: var(--text-bright) !important; }
.text-color             { color: var(--text) !important; }
.text-grey-bright       { color: var(--text-grey-bright) !important; }
.text-grey              { color: var(--text-grey) !important; }
.text-grey-dark         { color: var(--text-grey-dark) !important; }
.text-background-bright { color: var(--text-background-bright) !important; }
.text-background        { color: var(--text-background) !important; }
.text-background-dark   { color: var(--text-background-dark) !important; }

html {
    scrollbar-color: var(--deep-purple) #0000;
}

::selection {
    color: var(--deep-purple-bright);
    background-color: var(--deep-purple-transparent);
}